aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.SimpleDb.Commands.Domain

# Documentation

data CreateDomain #

Constructors

CreateDomain |

Fields

- cdDomainName :: Text

#### Instances

Instances details

SignQuery CreateDomain # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ServiceConfiguration CreateDomain |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration CreateDomain = SdbConfiguration

Methods

signQuery :: CreateDomain -> ServiceConfiguration CreateDomain queryType -> SignatureData -> SignedQuery #

Show CreateDomain # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> CreateDomain -> ShowS # show :: CreateDomain -> String # showList :: [CreateDomain] -> ShowS #
Transaction CreateDomain CreateDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type ServiceConfiguration CreateDomain # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration CreateDomain = SdbConfiguration

data CreateDomainResponse #

Constructors

CreateDomainResponse |

#### Instances

Instances details

AsMemoryResponse CreateDomainResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse CreateDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse CreateDomainResponse = CreateDomainResponse

Methods

loadToMemory :: CreateDomainResponse -> ResourceT IO (MemoryResponse CreateDomainResponse) #

Show CreateDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> CreateDomainResponse -> ShowS # show :: CreateDomainResponse -> String # showList :: [CreateDomainResponse] -> ShowS #
ResponseConsumer r CreateDomainResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ResponseMetadata CreateDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata CreateDomainResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata CreateDomainResponse) -> HTTPResponseConsumer CreateDomainResponse #

Transaction CreateDomain CreateDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type MemoryResponse CreateDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse CreateDomainResponse = CreateDomainResponse
type ResponseMetadata CreateDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata CreateDomainResponse = SdbMetadata

createDomain :: Text -> CreateDomain #

data DeleteDomain #

Constructors

DeleteDomain |

Fields

- ddDomainName :: Text

#### Instances

Instances details

SignQuery DeleteDomain # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ServiceConfiguration DeleteDomain |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DeleteDomain = SdbConfiguration

Methods

signQuery :: DeleteDomain -> ServiceConfiguration DeleteDomain queryType -> SignatureData -> SignedQuery #

Show DeleteDomain # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> DeleteDomain -> ShowS # show :: DeleteDomain -> String # showList :: [DeleteDomain] -> ShowS #
Transaction DeleteDomain DeleteDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type ServiceConfiguration DeleteDomain # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DeleteDomain = SdbConfiguration

data DeleteDomainResponse #

Constructors

DeleteDomainResponse |

#### Instances

Instances details

AsMemoryResponse DeleteDomainResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse DeleteDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DeleteDomainResponse = DeleteDomainResponse

Methods

loadToMemory :: DeleteDomainResponse -> ResourceT IO (MemoryResponse DeleteDomainResponse) #

Show DeleteDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> DeleteDomainResponse -> ShowS # show :: DeleteDomainResponse -> String # showList :: [DeleteDomainResponse] -> ShowS #
ResponseConsumer r DeleteDomainResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ResponseMetadata DeleteDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DeleteDomainResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteDomainResponse) -> HTTPResponseConsumer DeleteDomainResponse #

Transaction DeleteDomain DeleteDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type MemoryResponse DeleteDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DeleteDomainResponse = DeleteDomainResponse
type ResponseMetadata DeleteDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DeleteDomainResponse = SdbMetadata

deleteDomain :: Text -> DeleteDomain #

data DomainMetadata #

Constructors

DomainMetadata |

Fields

- dmDomainName :: Text

#### Instances

Instances details

SignQuery DomainMetadata # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ServiceConfiguration DomainMetadata |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DomainMetadata = SdbConfiguration

Methods

signQuery :: DomainMetadata -> ServiceConfiguration DomainMetadata queryType -> SignatureData -> SignedQuery #

Show DomainMetadata # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> DomainMetadata -> ShowS # show :: DomainMetadata -> String # showList :: [DomainMetadata] -> ShowS #
Transaction DomainMetadata DomainMetadataResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type ServiceConfiguration DomainMetadata # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DomainMetadata = SdbConfiguration

data DomainMetadataResponse #

Constructors

DomainMetadataResponse |

Fields

- dmrTimestamp :: UTCTime
- dmrItemCount :: Integer
- dmrAttributeValueCount :: Integer
- dmrAttributeNameCount :: Integer
- dmrItemNamesSizeBytes :: Integer
- dmrAttributeValuesSizeBytes :: Integer
- dmrAttributeNamesSizeBytes :: Integer

#### Instances

Instances details

AsMemoryResponse DomainMetadataResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse DomainMetadataResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DomainMetadataResponse = DomainMetadataResponse

Methods

loadToMemory :: DomainMetadataResponse -> ResourceT IO (MemoryResponse DomainMetadataResponse) #

Show DomainMetadataResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> DomainMetadataResponse -> ShowS # show :: DomainMetadataResponse -> String # showList :: [DomainMetadataResponse] -> ShowS #
ResponseConsumer r DomainMetadataResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ResponseMetadata DomainMetadataResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DomainMetadataResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DomainMetadataResponse) -> HTTPResponseConsumer DomainMetadataResponse #

Transaction DomainMetadata DomainMetadataResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type MemoryResponse DomainMetadataResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DomainMetadataResponse = DomainMetadataResponse
type ResponseMetadata DomainMetadataResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DomainMetadataResponse = SdbMetadata

domainMetadata :: Text -> DomainMetadata #

data ListDomains #

Constructors

ListDomains |

Fields

- ldMaxNumberOfDomains :: Maybe Int
- ldNextToken :: Maybe Text

#### Instances

Instances details

SignQuery ListDomains # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ServiceConfiguration ListDomains |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration ListDomains = SdbConfiguration

Methods

signQuery :: ListDomains -> ServiceConfiguration ListDomains queryType -> SignatureData -> SignedQuery #

Show ListDomains # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> ListDomains -> ShowS # show :: ListDomains -> String # showList :: [ListDomains] -> ShowS #
IteratedTransaction ListDomains ListDomainsResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods nextIteratedRequest :: ListDomains -> ListDomainsResponse -> Maybe ListDomains #
Transaction ListDomains ListDomainsResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type ServiceConfiguration ListDomains # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration ListDomains = SdbConfiguration

data ListDomainsResponse #

Constructors

ListDomainsResponse |

Fields

- ldrDomainNames :: [Text]
- ldrNextToken :: Maybe Text

#### Instances

Instances details

AsMemoryResponse ListDomainsResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse ListDomainsResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse ListDomainsResponse = ListDomainsResponse

Methods

loadToMemory :: ListDomainsResponse -> ResourceT IO (MemoryResponse ListDomainsResponse) #

Show ListDomainsResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods showsPrec :: Int -> ListDomainsResponse -> ShowS # show :: ListDomainsResponse -> String # showList :: [ListDomainsResponse] -> ShowS #
IteratedTransaction ListDomains ListDomainsResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods nextIteratedRequest :: ListDomains -> ListDomainsResponse -> Maybe ListDomains #
ListResponse ListDomainsResponse Text # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods listResponse :: ListDomainsResponse -> [Text] #
ResponseConsumer r ListDomainsResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ResponseMetadata ListDomainsResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata ListDomainsResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ListDomainsResponse) -> HTTPResponseConsumer ListDomainsResponse #

Transaction ListDomains ListDomainsResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
type MemoryResponse ListDomainsResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse ListDomainsResponse = ListDomainsResponse
type ResponseMetadata ListDomainsResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata ListDomainsResponse = SdbMetadata

listDomains :: ListDomains #